Bug 496805 - Loud clicks before and after a sound is played
Loud clicks before and after a sound is played
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 05:19 EDT by Richard Körber
Modified: 2010-06-28 08:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of alsa-info.sh (25.33 KB, text/plain)
2009-09-09 13:36 EDT, Richard Körber
no flags Details

  None (edit)
Description Richard Körber 2009-04-21 05:19:40 EDT
Description of problem:
After logging into Gnome, I hear loud clicks on the speakers, as if the audio hardware is repeatedly powered on and off. It's always a loud CLICK, then the sound to be played, then after a few seconds another loud CLICK.

The clicks are quite loud. They could damage the speakers, and are also very annoying. Setting the volume to mute will make the click noise rather quiet, but on the other hand, then there is no sound. :)

It's a ThinkPad R61 with Intel chipset, connected to active PC speakers.

Version-Release number of selected component (if applicable):
Fedora 11 beta Snapshot 1 x86_64 Gnome Live CD

How reproducible:
Always

Steps to Reproduce:
1. Boot the F11 Snapshot 1 Live CD, log into Gnome
2. Hear the first click before and after the Gnome welcome sound is played
3. Hear further clicks when other Gnome sounds are played, or music is played, etc...
  
Actual results:
You constantly hear CLICK-sound-CLICK.

Expected results:
Only the sound is played, without clicking.

Additional info:
I am not sure if pulseaudio is the right component for this bug. I chose it because I presume it's the topmost component of the audio stack.
Comment 1 Felix Kaechele 2009-04-23 03:08:38 EDT
These clicks are most likely related to putting the sound chip into powersave mode. On my T61p I have the same symptoms. Try setting power_save=0 for the module snd_hda_intel (or look for the option within the module used by your soundcard).
Comment 2 Lennart Poettering 2009-04-23 17:52:11 EDT
PA closes the device after a few seconds of idle to save power. If this causes clicks, this is a driver issue. 

REassigning to kernel.

Richard, please include the output fo alsa-info.sh --no-upload so that we can identify which driver this is.
Comment 3 Richard Körber 2009-05-05 06:01:59 EDT
I have installed F11 prerelease with all the updates now, and could not reproduce those clicks any more. Bug closed RAWHIDE, I hope this was correct.
Comment 4 Richard Körber 2009-09-09 13:34:10 EDT
I am reopening this bug. The issue occurs again on F11 final with kernel-2.6.29.6-217.2.16.fc11.x86_64, after the updates of September 7th:

Sep 07 20:07:39 Updated: pulseaudio-libs-0.9.15-17.fc11.x86_64
Sep 07 20:07:43 Updated: pulseaudio-0.9.15-17.fc11.x86_64
Sep 07 20:07:45 Updated: ibus-libs-1.1.0.20090829-1.fc11.x86_64
Sep 07 20:07:46 Updated: pulseaudio-module-bluetooth-0.9.15-17.fc11.x86_64
Sep 07 20:07:48 Updated: pulseaudio-libs-glib2-0.9.15-17.fc11.x86_64
Sep 07 20:07:49 Updated: pulseaudio-utils-0.9.15-17.fc11.x86_64
Sep 07 20:07:50 Updated: openldap-2.4.15-5.fc11.x86_64
Sep 07 20:07:54 Updated: blas-3.2.1-3.fc11.x86_64
Sep 07 20:07:59 Updated: gstreamer-plugins-base-0.10.24-1.fc11.x86_64
Sep 07 20:08:00 Updated: openldap-2.4.15-5.fc11.i586
Sep 07 20:08:02 Updated: pulseaudio-libs-0.9.15-17.fc11.i586
Sep 07 20:08:18 Updated: selinux-policy-3.6.12-81.fc11.noarch
Sep 07 20:08:19 Updated: kernel-firmware-2.6.30.5-43.fc11.noarch
Sep 07 20:08:22 Updated: pulseaudio-module-x11-0.9.15-17.fc11.x86_64
Sep 07 20:08:23 Updated: pulseaudio-module-gconf-0.9.15-17.fc11.x86_64
Sep 07 20:08:41 Updated: selinux-policy-targeted-3.6.12-81.fc11.noarch
Sep 07 20:08:47 Updated: kernel-headers-2.6.30.5-43.fc11.x86_64
Sep 07 20:09:11 Installed: kernel-devel-2.6.30.5-43.fc11.x86_64
Sep 07 20:09:35 Installed: kernel-2.6.30.5-43.fc11.x86_64
Sep 07 20:09:37 Updated: ibus-gtk-1.1.0.20090829-1.fc11.x86_64
Sep 07 20:09:58 Updated: ibus-1.1.0.20090829-1.fc11.x86_64
Comment 5 Richard Körber 2009-09-09 13:36:02 EDT
Created attachment 360291 [details]
output of alsa-info.sh
Comment 6 Bug Zapper 2010-04-27 09:50:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:08:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.